RSTuner manual

>

1.0 RSTuner introduction

RSTuner is an easy to use software application, specifically designed for diagnosing and calibrating Renault engines. RSTuner consists of a software application (Windows) and an OBD vehicle communication hardware interface (VCI). For the latest software and currently supported models, visit http://www.fastchip.nl.

The RSTuner home screen, here connected to a vehicle and showing information such as current ECM status, programming history, other ECUs present in the vehicle network etc.

1.1 RSTuner features
  • Reprogramming read/write of engine control unit (ECU)
  • Numerical and graphical display of available engine parameters
  • Data logging and reviewing engine parameters
  • Actuator testing (electronic throttle, fuel pump and more)
  • Fault code (DTC) reading / erasing
  • Performance analyzer
  • 'Flight Data Recorder' (Premium version, see 7.0 RSTuner Premium).
  • iMFD DM-5 gauge support (premium+ version only)
  • Extensible module support, some of our available modules:
    • AIO Suite module features:
      • Live map tracing of various ECU parameters for detailed analysis of engine performance
      • Easy editing of your calibration file
      • Integrated and automatic checksum / CRC calculation
    • OBD-II module features:
      • This module extends the capabilities of your RSTuner package beyond just Renault vehicles by providing diagnostic access to all ISO 9141-2, ISO 14230-4 and.ISO 15765-4 compliant vehicles.
      • Live data compatible with both the Live Data Grid and Live Data Graph for all responding ECUs ((Full support of all 141 PID)
      • Reading and clearing of Diagnostic Trouble Codes for all responding ECUs (Full support of all 3113 DTC)
      • Overview of all responding ECU on the network and their PID, TID, DTC and InfoType data
      • OBD status report showing vehicle specifications and monitor status
    • ABS module features*:
      • Read and clear ABS diagnostic trouble codes
      • Set ESP / ASR automatic reactivation treshold (not available on all car models)
      • ABS hydraulic unit and brake circuits bleeding
      • ABS pump motor test
      • Set ABS speedometer index
      • Read ABS system functionality
    • AIRBAG module features*:
      • Read and clear airbag diagnostic trouble codes
      • Reconfigure airbag presence (e.g. when replacing the seats with sport bucket seats)
      • Locking/Unlocking airbag ECU for safe maintenance
      • Left-hand / right-hand drive configuration
    • EPAS (Electronic Power Assisted Steering) module features*:
      • Read and clear EPAS diagnostic trouble codes
      • Set power-steering strategy
    • Vehicle Dynamics module features:
      • G-Forces: longitudinal and lateral acceleration
      • Yaw rate
      • Steering angle
      • Steering wheel angle and steering wheel angle speed
      • Tyre pressures
      • Front wheel rotational speeds
      • and more...
    • See 10.0 Modules for a complete overview of available modules.
    • * Please note that support for the listed features depends on the vehicle model and the type of ABS, Airbag or EPAS ECU.

1.2 RSTuner requirements
  • PC/laptop with one free USB port
  • Windows operating system:
    • Windows 8 (32 & 64bit)
    • Windows 7 (32 & 64bit)
    • Windows Vista (32 & 64bit)
    • Windows XP (32bit only)

2.0 Installation
  • Before running the RSTuner Setup Wizard, plug the Fastchip VCI into a free USB port on your PC/laptop with the supplied USB interface cable.

    Windows Update will automatically install the correct driver if all of these conditions are met:
    • You are running Windows Vista or higher
    • An internet connection is present
    • Your Fastchip VCI firmware supports the WCID driver

    Windows Update may take up to 1 minute to complete the procedure, please be patient until it finishes.

    If you do not meet these requirements, or the Windows Update driver installation fails for another reason, you can choose to install the Legacy VCI driver during installatiion.

  • Run the RSTuner Setup Wizard (rstuner_setup.exe) and follow the on-screen instructions.
  • Done! You are now ready to use RSTuner.

2.1 Windows 8+ driver installation for older Fastchip VCI
If you are using Windows 8 or higher and have an older Fastchip VCI with bootloader 101 or lower, you must follow these steps:

From the Metro Start Screen, open Settings.
(move your mouse to the bottom-right-corner of the screen and wait for the pop-out bar to appear, then click the gear icon).

  • Click ‘Change PC Settings'.
  • Click 'General'.
  • Scroll down to 'Advanced startup' and click 'Restart now'.
  • Click 'Troubleshoot'.
  • Click 'Advanced Options'.
  • Click 'Startup Settings'.
  • Click 'Restart'.
Your PC will restart and you will be presented with a menu.
  • choose option 7) 'Disable driver signature enforcement'.
  • You can now install the legacy driver during RSTuner setup.
These steps are only required once for the driver installation. You can use RSTuner and the Fastchip VCI driver normally afterwards.

3.0 Connecting to the vehicle
Locate the OBD Diagnostic port on your vehicle and plug-in the supplied 16-pin OBD cable. See also 9.1 OBD port locations.

Engine stopped

On vehicle with key:
  • turn on ignition with key
  • press 'Connect' when ready
On vehicle with keycard:
  • place keycard in cardholder
  • for vehicles with robotic and automatic gearboxes, please select a gear [Drive] / [D].
  • Clio 3 and Megane 2: press & hold start/stop button for more then 5 seconds until the steering wheel lock disengages (clack sound) and ignition comes ON [engine must not start]
  • Megane 3: select gear, press and hold the start button until dashboard shows message "remove card" [engine must not start, do not remove keycard even though dashboard instructs you to.]
  • Clio 4: select Drive / [D], press and hold the start button until dashboard shows message "remove card" [engine must not start, do not remove keycard even though dashboard instructs you to.]
  • press 'Connect' when ready

Connection screen help
  • Options
    • (OBD-II module) Auto-detect OBD mode - Automatically choose enhanced or legislated OBD mode
    • (OBD-II module) Force legislated OBD - Use when you want to connect to a Renault vehicle in legislated OBD mode, or when 'auto-detect OBD-mode' fails
    • (OBD-II module) Query OBD-II status - Collects OBD-II data from vehicle, disable to speed up connection procedure
    • (firmware 176+) Perform full network scan - Scans vehicle network for presence of ECUs and probes them for info and DTC
  • Presets - provide a quick one-button alternative to set ting the connection options mentioned above.
    • default - suggested for most uses
    • fastest - quickly connect to the vehicle without collecting non-essential information
    • comprehensive - perform a full diagnostic while connecting

Wait patiently while RSTuner establishes a connection with the ECU.
Depending on the vehicle type and selected options this can take anywhere from under a few seconds to several minutes.
In case your vehicle type doesn’t support automatic VIN (Vehicle Identification number) retrieval, enter it manually (all caps).

You only have to perform this once. Make sure you enter the correct VIN. RSTuner will choose the correct vehicle info based on this VIN.

Upon successful connection, ECU information and fault codes are shown in the main dialog.

4.0 Using RSTuner

4.1 Actuator tests
Supported tests depend on the vehicle type, some examples:
  • Fuel pump
  • Aircon pump relay
  • Purge relay
  • O2 sensor front heater
  • O2 sensor rear heater
  • Cam shifter
  • Cooling fan slow
  • Cooling fan fast
  • Electronic throttle
  • Shift light
  • Coolant warning light
  • MIL light (Malfunction Indicator Light)
  • Wastegate actuator
  • Air pump
Press Start actuator test button to activate chosen actuator.

Press Stop actuator test button to end the actuator test prematurely.

4.2 Live data

Click Live Data Grid tab to view the supported parameters for the connected vehicle type.

Click Live Data button at the top of the screen to start requesting data from the ECU.

Display a large amount of parameters for an overview of the engine status.

Or keep tabs on a few key parameters.

Parameters will be updated as fast as possible depending on the ECU protocol.
The current, minimum and maximum values are also displayed for each parameter.

In order to view parameters graphically, switch to the Live Data Graph tab, and press the settings button. Next, select the parameters you want to view. A maximum of 16 parameters can be viewed simultaneously.

To stop Live Data updating, press Live Data button again.

NOTE: For RSTuner with wideband inputs to track wideband data, you must activate at least one wideband parameter in the Live Data graph during logging.

After Live Data updating has stopped, you may use the slider on the Live Data graph to scroll through logged data. Place the time marker by clicking with the mouse on the position where you want it to be. Watch how the parameter values change according to the marker placement. To get a closer view on fast changing values, use the timescale + button. This will zoom the view for a better look.

Each parameter can be easily compared against each other. Very helpful for diagnosing and engine calibration.
If the screen looks too 'busy', parameters can be easily turned off/on by using the Settings... button.

Scrolling through the log can be done in three ways:
  • by dragging the thumb bar with the mouse
  • by using your keyboard's arrow keys
  • by using the mouse wheel (hold CTRL (10 times faster) or SHIFT (100 times faster) while using the mouse wheel to increase scroll speed)

4.2.1 Save/load Live Data

Click the Save log button to store a Live Data session.

Select the parameters and number of samples to be saved from the Save log dialog.
Choose your desired filename and directory and click the OK button.

Previously saved log files can be reviewed at any time by using the Load log button.

Real-time playback is available for the Live Data Graph and Vehicle Dynamics display after loading a log by pressing the play button next to the time slider.

4.2.2 Live Data log format
A Live Data log is saved as a CSV* file inside a ZIP container. Any ZIP compatible unpacker can be used to extract the CSV file inside, which can then be used in almost any spreadsheet and database applications.

Subtitles will be saved in the commonly used .srt format, which you can then edit into your own driving videos using third party applications. Please note that logs saved in this format can not be loaded back into RSTuner.

Example of a video using live data subtitles generated by RSTuner.

* Starting with RSTuner 1.6.7 - If you have old Live Data log files made with previous RSTuner versions and wish to convert these to the new CSV format, simply load them in the latest RSTuner and re-save them.

4.2.3 Live Data for engine recalibration
The best way to log data for engine recalibration purposes, is to make a 3rd gear full throttle run, with traction control switched off.

Making the full throttle data log run:
  • press tab Live Data Graph
  • press settings button and select the parameters you want to see on the screen (example: RST default profile)
  • press the Live Data button at the top of the screen to start recording the engine parameters. The Live Data Graph has an auto scale function
  • drive away, shift to 3rd gear @ 2000 rpm
  • press the throttle pedal fully until redline on your tachometer
  • find a spot to park the car safely
After the run is done do the following;
  • press Save Log button at top of screen --> Save Live Data session
  • Click 'toggle all' button to select ALL parameters for saving to a log file
  • Click 'Save as' button to save the log file
NOTE: Disconnecting from the car before saving the logged data erases all previous logged data. Save the logged data first !

4.2.4 Live Data interval
(applicable to CAN vehicles only)

Our newest RSTuner hardware has become so fast that in combination with the bandwith and speed available on the CAN network it is possible to overload the ECU with Live Data requests. To prevent this a certain amount of throttling of the requests is necessary, which is what the interval setting does. A higher setting means more time between requests and thus less stress on the ECU. If you experience 'gaps' or pauses in your Live Data logging, a higher interval might be required. However, a higher interval means less accurate logging, so the ideal setting is the lowest one that does not give you problems.

This setting also affects Performance Analyzer accuracy (since it uses live data requests to get engine data).

4.3 Diagnostic trouble codes
After a connection has been established, ECU fault codes are automatically retrieved from the ECU.
Stored codes are highlighted in orange and present codes in red.

Stored codes mean there was a problem, but it is not present anymore.
Present codes mean there is currently a problem. Codes in RED can only be cleared after making the necessary repairs first.

The DF codes listed are the official Renault fault codes.

Clear existing codes after making necessary repairs, by pressing the Erase DTC button (if you have access to multiple ECUs, select the proper target ECU first).

After successful erasure of the codes, use the Refresh DTC button to refresh the current state of DTC for all available and supported ECUs.

4.4 Performance Analyzer

The Performance Analyzer (from hereon abbreviated to PA) allows you to measure the performance of your vehicle.

(also see 4.2.4 Live Data interval if you are experiencing problems with your measurements)

How it works

The PA measures engine speed reported by the ECU, many times per second. Based on this, the PA calculates wheel performance from vehicle weight and acceleration rate. All that is needed is a simple full throttle in gear test of the engine on a flat road surface. Obviously it is important to use the correct vehicle weight including driver weight.

How to make a PA log

Method B is recommended if your vehicle supports it.

Using the PA is very simple. Start the PA by filling in the total vehicle weight (required for Method A only) and pressing the Activate PA mode button.
The PA is now activated and waits for the throttle WOT trigger to start collecting performance data.
Start driving and accelerate slowly to 3th gear, now press the accelerator pedal to the floor from low revs down. When it is time to shift to higher gear release the accelerator pedal. PA will automatically abort collecting data.

PA will now display calculated wheel power -torque and -horsepower on the screen. Total drag power is also shown which is the amount of power your vehicle needs to overcome air resistance. You may save the PA log for later analysis. Or make additional logs driving in the opposite direction for wind speed correction.

The following conditions will help the PA to produce the most accurate performance results.
  • Correct total vehicle weight including fluids and driver weight.
  • Correct tire size stored in ABS ECU.
  • Flat road surface.
  • No or little outside wind.

The vehicle weight specified should be the current weight of the vehicle at the time of the test. Including number of occupants, fuel tank level, any items being carried in the car.
Underestimating the vehicle weight will produce lower performance figures.
Overestimating the vehicle weight will do the opposite.

Aerodynamics

PA takes into account aerodynamic drag when calculating engine performance. Vehicle drag co-efficient and frontal area are the parameters required to calculate power lost to aerodynamic drag. These parameters are known by RSTuner after connection to the vehicle.

How does the PA compare to a chassis dynamometer?

PA gives real world performance figures in power at the wheels. Not a single correction is made during calculation of the result. This is the power that the vehicle is putting down onto the road, plain & simple.
Every chassis dynamometer is different with different cooling setups. Therefore results will vary amongst different dyno’s.

NOTE: PA results are influenced by outside conditions like wind and road surface.

SAFETY CONSIDERATIONS: Always perform PA testing with 2 people. The vehicle driver must have his eyes on the road at all times. PA should only be used on private roads and test tracks. Under no circumstances should performance analyzing be carried out on the public highway or in any other situation where its use may break speed limits or contravene any laws. Fastchip takes no responsibility for inappropriate use of the PA.

4.5 Reading data from the ECU
Before reading or writing the control unit, read 6.0 Reprogramming precautions to ensure a successful procedure.

4.5.1 Read ECU

RSTuner allows you to backup the ECU software. Always carry out this procedure BEFORE attempting to write the ECU with updated software.

For reading or writing the contents of the ECU the engine must NOT be running.
Before reading or writing the control unit, read 6.0 Reprogramming precautions to ensure a successful procedure.

Wait patiently until RSTuner has finished and saved the ECU contents to hard disk.

4.5.2 Read CAL

Performs a calibration read instead of a whole readout of the ECU. Typical calibration file sizes range anywhere from 32 kB to a few hundred kByte.
Not supported by every vehicle type.

4.6 Writing data to the ECU
Before reading or writing the control unit, read 6.0 Reprogramming precautions to ensure a successful procedure.

4.6.1 Write ECU

NOTE:

Mégane II and Clio III owners NEVER ATTEMPT A FULL WRITE OF THE ECU WITHOUT A SUITABLE BATTERY CHARGER ATTACHED.

 (See 6.0 Reprogramming precautions).

Allow you to write the ECU memory content. Always make a backup of your ECU first, if not done so already.

For reading or writing the contents of the ECU the engine must be stopped.
Writing the ECU is at your own risk. Read 6.0 Reprogramming precautions and 9.0 Disclaimer before usage.

Choose the correct file for your ECU. Choosing the right file is your own responsibility. Programming the wrong file may result in ECU failure or engine damage. Also read section 5.0 Which calibration file to use.

A write ECU procedure may take up anywhere between 10 ~ 30 minutes to complete, take the necessary precautions to ensure the procedure will complete successfully.

NOTE: After each reprogramming ECU learning values such as, idle offset, fuel trim etc. are erased and set to their default values. Allow up to 10 drive cycles for the ECU to complete learning these values again. This learning behavior can cause unstable idle rpm after reprogramming.

4.6.2 Write CAL

Performs a calibration (partial) write of the ECU. Typical calibration file size is 32 kB to 64 kB.

Calibration writes allow for faster ECU reprogramming, but only writes a small portion of the ECU’s memory. Therefore before writing, always verify the software version number equals the file software version number. The calibration numbers are of less importance, but the software version numbers always have to be equal to each other.

Also see 5.0 Which calibration file to use.

5.0 Which calibration file to use
NOTE: Programming the wrong software version can inflict permanent damage to the ECU and its sub-systems.

On the Fastchip.nl ECU calibration download page all files are named xxxx_xxxx. The first 4 digits mark the software version, which tells the ECU what to do. The second 4 digits mark the calibration version, which tells the ECU how to do things. So if you see a file named 6400_2A07.rst it tells you, its software version 6400 and calibration version 2A07.

Now, how to determine the correct file download for your car?

Let's assume you have a 172 Clio II. Connect to the car with RSTuner and look at the status bar after connection is established. Here you can see the car's VIN: VF1 CB15 0629638376.

Go to the proper download directory on the ECU calibration download page, according to the car's type designation. In this particular case CB15.

Now look which software version the ECU is running. The first 4 digits, remember? You can find this on the ECU information tab. In this case 6400.

In case you want to carry out a total ECU reprogramming (.rst file Write ECU) you need to use a .rst file that begins with software version 6xxx_xxxx. Programming anything else could do harm, see above statement.

Examples total ECU reprogramming (.rst file Write ECU)
  • 6100_2AB0 --> 6500_5404 OK
  • 6400_2A07 --> 6500_5404 OK
  • 6100_2AB0 --> 7300_5B10 NOT OK CAUTION
  • 8000_7802 --> 8100_7803 OK

In case you only want to perform a partial ECU reprogramming (.cal file Write CAL) you need to have a .cal file that begins with the same software version number, in this case 6400_xxxx.

Examples partial ECU reprogramming (.cal file Write CAL)
  • 6400_2A07 --> 6400_5400 OK
  • 8100_7802 --> 8100_7803 OK
  • 9100_4008 --> 9100_4005 OK
  • 6100_2AB0 --> 6500_5404 NOT OK CAUTION

6.0 Reprogramming precautions

--------------------------------------------------------------------------------------------------------------------
Reprogramming the ECU is for your own risk at all times !
--------------------------------------------------------------------------------------------------------------------
Re-writing the ECU can take 2 - 50 minutes, depending on the ECU in use and size of upload file.

Whenever performing an ECU reprogramming, make sure you program the correct software version compatible with the software that already resides on the ECU. ( See also section 5.0 Which calibration file to use )
RSTuner software has a unique feature in the form of a "Verify software version dialog" which gives the user the chance to verify the software version he/she has chosen against the actual version that resides on the ECU, before each reprogramming session.
Programming the wrong software version can inflict permanent damage to the ECU and its sub-systems.

A 100% battery condition + 10A battery charger are crucial when performing a full ECU rewrite.

--------------------------------------------------------------------------------------------------------------------
Reprogramming the ECU is for your own risk at all times !
--------------------------------------------------------------------------------------------------------------------

PC/Laptop
  • Laptop preferably connected to mains / full battery
  • Disable screensaver
  • Set power settings to NEVER turn off hard disk
  • Set power settings to NEVER goto stand-by / hibernate mode
  • Disable any anti-virus programs
  • Shut down as much background running programs as you can. RUN/msconfig/Startup. Reboot PC.

Vehicle
  • Engine stopped.
  • Cruise control switch in neutral position.
  • Keep away mobile phones and other electronic equipment that might interfere with the OBD hardware interface.
  • Check the OBD hardware interface USB cable and OBD cable for proper plug in.
  • Make sure the vehicle's battery is fully charged and/or attach a suitable 10A battery charger.
  • Shut off electricity consumers like aircon, lighting, radio etc.
  • Make sure the ignition is really switched ON. ( See also section 3.0 Connecting to the vehicle )

6.1 Clio III battery discharge
During reprogramming the engine cooling fans come on. This will quickly discharge the battery which might lead to a programming failure. Therefore it is highly recommended that you remove the cooling fan relay located in the engine bay next to the battery before each reprogramming.

Remove lid to gain access to the cooling fan relay (7) ,towards the front of the car. Unplug it before every reprogramming sequence. Do not forget to install the relay again after reprogramming is done.

NOTE: Unplugging this relay will only disable the high speed cooling fan.

A battery low charge signal may be heard during reprogramming, but do not interrupt the programming sequence. Always let the programming continue until it is finished.

NEVER ATTEMPT A FULL WRITE OF THE ECU WITHOUT A SUITABLE BATTERY CHARGER ATTACHED

6.2 Mégane II battery discharge
During reprogramming the engine cooling fans come on. This will quickly discharge the battery which might lead to a programming failure. Therefore it is highly recommended that you attach a suitable battery charger before each reprogramming.

A battery low charge signal may be heard during reprogramming, but do not interrupt the programming sequence. Always let the programming continue until it is finished.

NEVER ATTEMPT A FULL WRITE OF THE ECU WITHOUT A SUITABLE BATTERY CHARGER ATTACHED

7.0 RSTuner Premium
Our RSTuner Premium version offers a 'Flight Data Recorder' which can record many hours of engine live data on its internal storage without the use of a laptop, simply by pressing the control button. Up to 64 sessions and approximately 100 hours* can be stored before the user has to transfer them to their PC for review purposes. Furthermore, RSTuner Premium allows you to set any available engine parameter as a trigger for the output channel.

* Total recording time varies on the vehicle you are connected to and interval setting (see 4.2.4 Live Data interval).

7.1 Stand-alone data logging
Please note: before being able to use the stand-alone features of your RSTuner Premium:
  • Either have a connection to the car, or when away from the car, have the VIN stored in the VCI (The VIN will be referenced if no connection available)
  • Access the RSTuner Premium Control Panel at least once (this writes the proper configuration for your vehicle to the internal memory)
Now your RSTuner Premium is ready for stand-alone functionality.

Please note: Whilst pressing the control button and it doesn't respond, release and wait atleast 1 second before trying again. (anti- bounce delay)

Start manual gauge data output (gauge module support)
  • Make sure engine is running
  • Start gauge data output by pressing the control button for more than 1 second until the GREEN indicator LED comes ON (engine must be running)
The VCI will try to establish communication with the engine ECU and start with gauge data output.

Start recording
  • Make sure engine is running
  • Start data recording by pressing the control button for more than 3 seconds until the ORANGE indicator LED comes ON (engine must be running)
The VCI will try to establish communication with the engine ECU and start with data recording.

Stop recording
  • Stop data recording by pressing the control button for more than 1 second until the indicator LED goes OFF.
Important: Stopping the engine or powering down the interface while it is recording will cause a loss of the last recorded data session. Always stop recording first.

Erase recording

When not logging, press the control button for more than 10 seconds until the RED indicator LED comes ON, to erase ALL logs.
Important: This will erase ALL logs currently stored in the interface. Your config will not be erased.

Indicator LED
  • RED Transmitting data to vehicle
  • GREEN Receiving data from vehicle

7.2 RSTuner Premium Control Panel

Access the special RSTuner Premium features by clicking the Premium button (RSTuner Premium hardware needs to be attached to PC).

7.2.1 Internal storage management

To the left you will see a list of your stored stand-alone logs and their duration in chronological order.
  • Load into Live Data Graph - this will transfer the selected log directly into the Live Data Graph (which can then be saved using 'Save Log' if desired)
  • Save all selected to PC - this will save all selected logs to a location of choice on your PC/laptop (which can then be loaded using 'Load Log')
  • Delete all logs - this will delete all logs present on internal memory

7.2.2 Live Data configuration

OBD-II type

The type of Live Data / parameters you wish to request from the vehicle. Enhanced is for Renault vehicles and will give more parameters and more accurate logging. Legislated is for non-Renault vehicles and usually has a more limited selection of parameters.

Live Data parameters (not required for all vehicles)

Click this button to make a selection of parameters you wish to log. Logging accuracy usually slightly decreases the more parameters you activate (depending on vehicle).

Interval (applicable to CAN vehicles only)

See 4.2.4 Live Data interval.

Include AD / wideband requests (connector inputs)

Tick the box, if you want to process the connector inputs (4) as well. If not, it's best to leave it off since it slightly improves Live Data logging frequency.

7.2.3 I/O Trigger

RSTuner Premium allows you to set any available Live Data parameter as a trigger for the output channel.
  • Select the parameter you wish to use as trigger, it will show you the theoretical range of that parameter (this may go beyond the practical range)
  • Set 'Trigger ON' to the value above or below which you want the output to turn on
  • Set 'Trigger OFF' to the value above or below which you want the output to turn off
  • Save configuration
The I/O trigger can be reset & disabled by using the 'Reset / disable trigger' button.

For information about connecting hardware to the I/O see 8.0 Input / Output (IO).

7.2.4 iMFD Gauges
Refer to 10.2 iMFD Display Module support

8.0 Input / Output (IO)
RSTuner Pro has four (4) inputs. Additionally, RSTuner Premium has one (1) programmable output.
This feature is not available on our standard interface units, ONLY for those who have a third plug that sticks out of the side interface where a pigtail plugs in. The plug consists of 6 pins in a row.

WARNING: Regarding RSTuner Premium+ units: AD1-in input is converted to a 3.3V power supply output for PLX gauge support! Only connect the PLX gauge 3.3V black/white stripe wire to this terminal. Doing otherwise may inflict permanent damage to the VCI and/or gauge and is NOT covered under warranty by any means.

8.1 Enhanced I/O specifications
  • Four high impedance, buffered, filtered, 10 bit 0-5v analog to digital conversion channels that can connect to almost any device. (for example wideband output) Input impedance greater than 2.5meg ohm.
  • One ground reference tie point.
  • One sink to ground switched output, 100 milliamp maximum, continuous duty device drivers.
Output driver circuit CANNOT tolerate an over 100 mA continuous load. Do not exceed these limits or you will damage the output permanently. Always use a 100 mA fuse in line with your connected device.
Blown output transistors will NOT be covered under warranty.

8.2 Connecting I/O
  • 1. ground
  • 2. AD1 input*
  • 3. AD2 input
  • 4. AD3 input
  • 5. AD4 input
  • 6. device output (sink to ground)

* WARNING: Regarding RSTuner Premium+ units: AD1-in input is converted to a 3.3V power supply output for PLX gauge support! Only connect the PLX gauge 3.3V black/white stripe wire to this terminal. Doing otherwise may inflict permanent damage to the VCI and/or gauge and is NOT covered under warranty by any means.

8.2.1 Sample relay circuit
The following circuit uses a Bosch Automotive Relay, Part Number 0-332-204-150. When and how the relay turns on and off by tracking any engine parameter or A/D channel value is configured in the RSTuner Premium Control Panel. The output can be used as a status indicator or external high current device control. NEVER use the interface to control relays where safety is an issue or vehicle damage may occur. Do not forget to add the driver protection fuse.

8.2.2 Sample light circuit
The following circuit uses a 12V warning LED with acoustic warning signal.
When the light / buzzer turns ON and OFF by tracking an engine or A/D channel parameter, is configured in the RSTuner Premium Control Panel. You can use any type of light/color you want, as long as it does not draw more than 100 milliamps when lit. If it does you will need to add a driver relay to isolate the interface unit from the larger current draw (see 8.2.1 Sample relay circuit,).

8.2.3 Sample analog circuit
With our Pro / Premium interface, you can integrate 0-5v analog signals from various sensors such as EGT, wideband and others right into our Live Data logger. You will have real time data from those sensors right next to your engine Live Data such as TPS, RPM, KMH, etc.

The following circuit shows the connection between the 0- 5v analog output from an aftermarket wideband controller or EGT sensor (exhaust gas temperature) using the supplied pigtail connector.
Refer to the manufacturer’s documentation on how to connect and configure their device.
The analog signal may be connected to any of the four analog inputs.
RSTuner software has predefined inputs for Techedge and Innovate wideband controllers.

Techedge Wide Band O2 - TE 2A0: result = volts / .5 + 9
Innovate Wide Band O2 - LC1: result = volts / 0.3324 + 7.35
Raw voltage: result = volts / 1 + 0

9.0 Supported models
For a complete up to date list of RSTuner supported models, please visit http://www.fastchip.nl and look under Help > Supported Vehicles.

9.1 OBD port locations

Clio II OBD Diagnostic port located under ashtray: | Clio III OBD Diagnostic port located under keycard slot, remove lid to gain access:
Megane II OBD Diagnostic port (1) located under keycard slot, remove lid to gain access.: | Megane III OBD Diagnostic port:
Laguna III OBD Diagnostic port:: |

10.0 Modules
Starting with RSTuner 3.0 and Fastchip VCI firmware 178, it is possible to extend your RSTuner functionality with the use of modules.

The RSTuner Module Control Panel can be accessed by clicking the Modules icon on the toolbar.

When placing a module order, please include the code listed under 'Order information' with your order.

ECU-related module functions can also be directly accessed via right-clicking on an ECU in the ECU Network list (module must be enabled).

10.1 OBD-II support
This module extends the capabilities of your RSTuner package beyond just Renault vehicles by providing diagnostic access to all ISO 9141-2, ISO 14230-4 and.ISO 15765-4 compliant vehicles.

  • Live data compatible with both the Live Data Grid and Live Data Graph for all responding ECUs ((Full support of all 141 PID)
  • Reading and clearing of Diagnostic Trouble Codes for all responding ECUs (Full support of all 3113 DTC)
  • Overview of all responding ECU on the network and their PID, TID, DTC and InfoType data
  • OBD status report showing vehicle specifications and monitor status

With this module unlocked, a few new options are available on the connect screen:
  • Auto-detect OBD mode - Automatically choose enhanced or legislated OBD mode
  • Force legislated OBD - Use when you want to connect to a Renault vehicle in legislated OBD mode
  • Query OBD-II status - Collects OBD-II data from vehicle, disable to speed up connection procedure

ECU Tree and OBD status - refer to the official OBD-II documentation for explanation of the shown data.

Live Data compatible with the existing Grid and Graph and Log saving & loading options.

10.2 iMFD Display Module Support
This module allows you to attach up to four (4) PLX Single Gauges from http://www.plxdevices.com to your RSTuner Premium+.

(Please refer to 8.0 Input / Output (IO) before connecting any gauges.)

RSTuner software enables you to assign any available engine parameter to your gauge(s) without the need to buy any additional PLX Sensor Modules!

The iMFD Gauge Configuration screen, found in the Premium Control Panel, shows your current gauge setup and allows you to add or adjust gauges.

  • Attached gauge type - the type of PLX gauge used
  • Parameter to show - the engine parameter you wish to display on the gauge
  • Auto scale - controls how the value is displayed on the gauge. Experiment with auto scale on or off, since the best setting depends on the chosen parameter and your personal preference.

Please note that the I/O Trigger can not be used when iMFD Gauge Configuration is set. To enable use of the I/O Trigger again, reset the iMFD Gauge Configuration.

10.3 RSTuner Matrix Analysis
This module is for advanced users to assist them with creating or adjusting calibration performance files.

The 'Always on top' feature allows you to easily use the RSTuner Matrix Analysis with other programs. Here you see it used in conjunction with WinOLS.

Using the RSTuner Matrix Analysis

  • Populate the Live Data Graph by either logging a Live Data session, or loading a previously stored logfile.
  • Select the range you wish to analyse, by right-clicking on the Live Data Graph and setting markers
  • Adjust Matrix options if necessary
  • Press 'Populate Matrix'

Matrix Options

  • Parameter - engine parameter to analyse
  • Mode - show minimum, average or maximum parameter values
  • Axis settings - adjust RPM and MAP axis division
  • Axis profiles - save and load your own axis settings for different vehicles
  • Deviation allowance - sets the range of the axis values to include in the analysis
    For example: with a MAP deviation setting of 50, a cell in the MAP 575 column would include values between 525 and 625 mBar.

10.4 Vehicle Dynamics
This module unlocks access to advanced vehicle parameters such as:
  • G-Forces: longitudinal and lateral acceleration
  • Yaw rate
  • Steering angle
  • Steering wheel angle and steering wheel angle speed
  • Tyre pressures
  • Front wheel rotational speeds
  • and more...

Vehicle Dynamics updates at 100 samples per second (compared to 10 for regular Live Data) for much greater accuracy and fluidity.

To activate Vehicle Dynamics mode, simple press the large "START Vehicle Dynamics" button.
After a quick connection procedure RSTuner will start updating the parameters.

All Vehicle Dynamics parameters can be viewed using the standard Grid and Graph used by regular Live Data.
On the special Vehicle Dynamics tab a selection of the parameters is shown in a custom graphical view tailored to these specific parameters.

Just like normal Live Data sessions, Vehicle Dynamics sessions can be stored and loaded at a later time with the Save Log/Load Log buttons.
Real-time playback is available after loading a log by pressing the play button next to the time slider.

10.5 ABS support
This module unlocks access to ABS functionality such as:
  • Read and clear ABS diagnostic trouble codes
  • ESP / ASR automatic reactivation treshold (not available on all car models)
  • ABS hydraulic unit and brake circuits bleeding
  • ABS pump motor test

Diagnostic Trouble Codes
Diagnostic troubles codes are automatically read upon connecting to the vehicle. Refer to the general 4.3 Diagnostic trouble codes section for more information.

ABS hydraulic unit and brake circuits bleeding
ABS hydraulic unit and brake circuits bleeding is accessible through the Modules control panel (right-click module).

Please read the guide 'Help - Bleeding the brake circuit' available on our website for instructions on how to properly perform the brake bleed procedure.

ESP / ASR automatic reactivation treshold
ESP / ASR automatic reactivation treshold adjustment is accessible through the Modules control panel (right-click module).

Allows you to adjust the speed at which ESP / ASR reactivates from the default 50km/h to any speed you wish.
Please be aware of the safety implications before using this functionality!

10.6 Airbag support
This module unlocks access to airbag functionality such as:
  • Read and clear airbag diagnostic trouble codes
  • Reconfigure airbag presence (e.g. when replacing the seats with sport bucket seats)
  • Locking/Unlocking airbag ECU for safe maintenance

Diagnostic Trouble Codes
Diagnostic troubles codes are automatically read upon connecting to the vehicle. Refer to the general 4.3 Diagnostic trouble codes section for more information.

Locking / unlocking airbag ECU
For safe maintenance of the airbag the option to lock it is provided. Go to the Modules Control Panel and right-click the module, then click either 'Lock' or 'Unlock':

* WARNING: Make sure to UNLOCK the airbag ECU after maintenance!!!

Disable a specific airbag DTC

  • For Bosch 8.2 and Autoliv ACU4 airbags, right-click on a trouble code on the DTC tab and select the disable option:

  • For Bosch 9.0 and Continental Temic/RC5 airbags, access the 'Airbag configuration' by right-clicking on the Airbag ECU in the ECU Network list (right-click options are also accessible through the Module Control Panel). Here you can enable or disable certain predefined DTCs.

    It is recommended to save the current configuration before making any changes so you can later restore it if necessary.

Reset airbag configuration to factory defaults

  • For Bosch 8.2, right-click the Airbag ECU in the ECU Network list (right-click options are also accessible through the Module Control Panel), then click 'Restore factory airbag configuration'.

  • For Autoliv ACU4 , right-click the Airbag ECU in the ECU Network list (right-click options are also accessible through the Module Control Panel). Here select the configuration that matches your car:

  • Bosch 9.0 and Continental Temic/RC5 airbags have no default restore function, so use the Airbag configuration panel as described above to restore settings.

10.7 EPAS support
This module unlocks access to EPAS (Electronic Power Assisted Steering) functionality such as:
  • Read and clear EPAS diagnostic trouble codes
  • Set power-steering strategy

Diagnostic Trouble Codes
Diagnostic troubles codes are automatically read upon connecting to the vehicle. Refer to the general 4.3 Diagnostic trouble codes section for more information.

Set power-steering strategy
Go to the Modules Control Panel and right-click the module, then click 'Set EPAS strategy'.

Here you can see the currently active strategy and set a new strategy.

10.8 AIO Suite

This module unlocks access to the AIO (All-In-One) Suite which has features such as :
  • Live tracing of various ECU parameters for detailed analysis of engine performance, including:
    • Engine Torque Estimated
    • Knock Signal average
    • O2 Front Sensor Voltage
    • AFR Estimated from O2 Front Sensor
    • BMEP (Brake Mean Estimated Pressure)
    • ...and more!
    • Available parameters differ per vehicle and map file
  • Easy editing of your calibration file
  • Integrated and automatic checksum / CRC calculation
  • Saving and loading of trace runs so you can review engine performance at your leisure at a later time
  • Hot Keys: convenient short-cut keys allow easy access to tuning operations while in the car
TRANSFORM your car, CONTROL the power!

10.8.1 Loading an RSMap
Before loading an RSMap please make sure :
  • Your FASTCHIP VCI is connected to your PC/laptop
  • Your FASTCHIP VCI firmware is up to date
  • Your FASTCHIP VCI has a valid vehicle license
Press the 'Load RSMap & calibration' button. This will prompt you to select a file two times. The first will be for the RSMap (.rsmap file) you have received from Fastchip. The second will be for the calibration file you wish to use/edit. Make sure this calibration is compatible with the RSMap (i.e. same software and calibration number). For the first time you would usually use the current calibration of your car, which can be obtained by using 'Read CAL'.

Please note that to load an RSMap you need a valid vehicle license. Connect to your vehicle with your FASTCHIP VCI to validate your license. Once this is done you can disconnect from the vehicle, but keep the FASTCHIP VCI powered on (USB must stay connected).

10.8.2 Making a trace

PLEASE KEEP YOUR EYES ON THE ROAD AND NOT ON THE SCREEN IF YOU ARE TRACING ALONE

Keyboard shortcuts:
  • F1 : Start/stop tracing
  • F2: Toggle hit trail
  • F3: Toggle overlay
  • F4: Toggle value colors
  • F5: Show trace parameter value in cell
  • F6: Show X-axis parameter value in cell
  • F7: Show Y-axis parameter value in cell
  • F9: Clear trace log
To start your trace, first double-click a map entry in the list on the left of the screen. This will open a window with the calibration data of that section on the right.

Make sure this map can actually be traced, you will see controls relating to tracing at the top of the window if this is the case.

Press F1 or check the box next to 'Active' to start the trace. If you are not yet connected to your car you will be prompted to do so.

Note: You will see a blue outline around the table if the trace is active.
Note: You can have multiple traces in different tables active at the same time.

With tracing now active, you should see the hit marker and active cell move around as you rev the engine.

To stop tracing, press F1 again or uncheck the box next to 'Active'. If you have multiple traces active at the same time, they can be all be stopped with one press of the 'Live Data' button at the top of RSTuner.

10.8.3 Reviewing and interpreting a trace
Keyboard shortcuts:
  • F1 : Start/stop tracing
  • F2: Toggle hit trail
  • F3: Toggle overlay
  • F4: Toggle value colors
  • F5: Show trace parameter value in cell
  • F6: Show X-axis parameter value in cell
  • F7: Show Y-axis parameter value in cell
  • F9: Clear trace log
  • CTRL+P: Play back trace log
  • CTRL+L: load a previously saved trace log
  • CTRL+S: save the current trace to file
  • CTRL+HOME: Move to start of trace log
  • CTRL+END: Move to end of trace log
  • CTRL+LEFT ARROW: Step back in trace log
  • CTRL+RIGHT ARROW: Step forward in trace log
  • CTRL+UP ARROW: Select previous trace parameter
  • CTRL+DOWN ARROW: Select next trace parameter

ECU cell interpolation

When calculating the value to use for a cell, the ECU interpolates values from that cell and three adjacent cells: one column to the right and one row below.

Let's take a look at this example:

Here we see four cells. The top left cell has been 'hit', i.e. the X-axis parameter and the Y-axis parameter both fell in that cell. A hit marker is drawn (white dot) and the cell has been coloured to show the value of whatever trace parameter was active.

Three adjacent cells are also coloured in various shades of gray. These cells are 'touched': the ECU will interpolate from these with varying degrees of weight (with the top left hit cell always having the highest interpolation weight / percentage).

The darker the background colour of these touched cells, the higher their interpolation weight. This can be reviewed in detail by right-clicking on a cell.

In the four cell example we see that the hit-marker is at the very top of the hit cell, this means the ECU will interpolate very little from the bottom two cells - thus they are coloured light gray.

The touched cell directly to the right of the hit cell is much darker, in accordance with the hit marker which is just over halfway into the cell horizontally.

A solid black background indicates maximum possible interpolation weight for that touched cell. Since the hit cell is always the highest, that means just under 50% interpolation weight for a touched cell with black background.

Use this knowledge to finetune the calibration for your car..

About Trace Logs

The trace logs are saved on a per-table basis but are not rigidly locked to the original table. The logs can be loaded into a different tables as long as the X- and Y-axis are the same and there is at least one trace parameter match between log and table. You will be notified if any of the table's trace parameters are missing from the log

10.8.4 Editing your calibration

MAKE SURE TO KEEP A BACKUP COPY OF YOUR ORIGINAL CALIBRATION FILE BEFORE EDITING

Keyboard shortcuts:
  • ENTER: enter edit mode of selected cell(s), allowing you to directly input the desired value (multiple cells can be changed to the same value at once)
  • Plus and Minus Keys (+, -): increase or decrease the value of all selected cells
  • SHIFT + Plus and Minus Keys: increase or decrease the value of all selected cells by a certain percentage (%)
  • ESC: remove cell selection and active cell focus
  • DEL: remove cell selection
  • Use your mouse to select a cell (hold down and drag for multiple cells) or use the following keys
    • Arrow Keys: move through the table
    • TAB: move to next cell
    • Page Up / Down: move to top or bottom of column
    • Home / End: move to start or end of row
    • All of the keys above can be combined with SHIFT to select multiple cells
  • CTRL+Z : Undo last cell edit
To start editing your calibration, double-click a map entry in the list on the left of the screen. This will open a window with the calibration data of that section on the right.

When you edit a cell, the text colour will change. Blue indicates that the new value is lower than the original value of the cell. Red means the value has increased.

To see what the original value of the cell was, right-click on the cell and look under 'original value'. This popup will also show the change from the original if any.

To save your changes you can either save the calibration file to your PC/laptop via 'Save to file' or upload directly to your car's ECU with 'Write to ECU'.

10.8.5 Writing your calibration

MAKE SURE TO HAVE A BACKUP COPY OF YOUR ORIGINAL CALIBRATION BEFORE WRITING

If you have made changes to your calibration and are ready to test them on the car you can write the edited calibration directly to the car using the 'Write to ECU' button.

To ensure you get access to the ECU, remember the ignition must be ON, but engine must be STOPPED..

Because of your changes a new checksum or CRC must be calculated. This is done automatically for you by the AIO Suite.

11.0 Firmware Update
Fastchip VCI with firmware version 183 or higher can be updated for free through RSTuner software.
(if you have older firmware you can return your VCI to us to be updated, see website)

11.1 Auto-update
To update your VCI firmware, go to the 'About' section and click the 'Check for updates' button.

If updates are available for your device, simpy follow the instructions and let the auto-updater do its work.

.

After the update procedure has completed, be sure to unplug and reconnect the USB connector before proceeding to reboot the VCI.

Do not worry if for some reason the update fails, simply try the update procedure again or revert to the manual update below.

11.2 Manual update
To update your VCI firmware manually, go to the 'About' section and click the 'Update firmware...' button.

Here, use the 'Load firmware update file...' button to select the firmware update file and follow the on-screen instructions.

After the update procedure has completed, be sure to unplug and reconnect the USB connector before proceeding to reboot the VCI.

Do not worry if for some reason the update fails, simply try the update procedure again.

12.0 Online resources

RSTuner website

RSTuner FAQ

13.0 Disclaimer
RSTuner software reads and modifies code and data for engine computers (ECUs). RSTuner software exclusively serves the purpose of repairing a damaged engine computer or the customization of software updates. Improper use of RSTuner software or errors within the software itself can cause engine damage and/or render the vehicle's engine computer non-operational.

Additionally, modification of your ECU's software will most likely void your drivetrain warranty from the vehicle manufacturer and violate emission control regulations in some countries. In no event can FASTCHIP be held liable for any damages arising from the use of RSTuner software.

RSTuner software allows you read code/data from ECUs which can potentially be subject to various copyright and intellectual property laws where you live. It is your responsibility to use (or not use) this software in adherence with these laws.

The origin of RSTuner software must not be misrepresented; you must not claim that you wrote the original software.

14.0 Troubleshooting
If you have read this manual and are still having problems, feel free to contact us via the email listed below.

14.1 Creating a debug log
Providing us with a debug logfile when requested helps us greatly when troubleshooting. Here is how to create one:

(open About screen)
1) Enable debug logging by checking the box
2) Exit About screen and perform the actions that require attention (i.e. connect to the car, read trouble codes etc.)
3) When you are done return to the About screen and click 'Export debug log...' to save the logfile

14.2 ECU information tab screenshot
RSTuner has a built-in and easy to use option to take a screenshot of the ECU information tab.
Click the 'Capture' icon on the toolbar and select the first option. When prompted, choose an easily accessible location to store your screenshot.

RSTuner will automatically switch to the correct tab (if necessary), resize the window and convert the screenshot to lossless PNG format suitable for emaliing.

Please do not change the filename of the screenshot!

15.0 Contact

Fastchip Innovative Car Solutions
info@fastchip.nl

Version 1.89
Copyright © 2008-2017 Fastchip Innovative Car Solutions